| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Member Functions | List of all members
FollowStreamDialog Class Reference

A dialog window for viewing the contents of a network stream. More...

`#include <follow_stream_dialog.h>`

Inheritance diagram for FollowStreamDialog:

## Signals
void | updateFilter (QString filter, bool force)
| Signal emitted to update the main display filter.
void | goToPacket (int packet_num)
| Signal emitted to navigate to a specific packet in the main window.

## Public Member Functions
| FollowStreamDialog (QWidget &parent, CaptureFile &cf, int proto_id, const QString &previous_filter)
| Constructs a new FollowStreamDialog.
| ~FollowStreamDialog ()
| Destroys the FollowStreamDialog.
void | addCodecs (const QMap< QString, const char * > &codecMap)
| Adds a map of character encodings to the dialog's codec selection.
bool | follow (bool use_stream_index=false, unsigned stream_num=0, unsigned sub_stream_num=0)
| Initiates the stream following process.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Protected Member Functions
bool | eventFilter (QObject *obj, QEvent *event) override
| Filters events for the dialog text display.
void | keyPressEvent (QKeyEvent *event) override
| Handles key press events in the dialog.
void | endRetapPackets () override
| Called when retap is complete.
void | captureFileClosed () override
| Slot triggered when the underlying capture file is closed.
virtual QString | labelHint (int pkt=0)
| Generates a hint label based on the current packet.
int | client_packet_count () const
| Gets the number of packets sent by the client.
int | server_packet_count () const
| Gets the number of packets sent by the server.
int | turns () const
| Gets the number of direction changes (turns) in the stream.
const follow_info_t & | followInfo () const
| Retrieves the core follow_info structure.
virtual QString | serverToClientString () const
| Gets the string representation for the server-to-client direction.
virtual QString | clientToServerString () const
| Gets the string representation for the client-to-server direction.
virtual QString | bothDirectionsString () const
| Gets the string representation for both directions.
Protected Member Functions inherited from WiresharkDialog
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.

## Additional Inherited Members
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

A dialog window for viewing the contents of a network stream.

## Constructor & Destructor Documentation

## ◆ FollowStreamDialog()

FollowStreamDialog::FollowStreamDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | int | proto_id,
|  | const QString & | previous_filter )
| explicit

Constructs a new FollowStreamDialog.

Parameters

  parent | The parent widget.
  cf | The capture file containing the stream data.
  proto_id | The protocol ID of the stream to follow.
  previous_filter | The main display filter at the time of creation

## Member Function Documentation

## ◆ addCodecs()

void FollowStreamDialog::addCodecs | ( | const QMap< QString, const char * > & | codecMap | ) |

Adds a map of character encodings to the dialog's codec selection.

Parameters

  codecMap | A map of codec names to their iconv encoding names.

## ◆ bothDirectionsString()

QString FollowStreamDialog::bothDirectionsString | ( |  | ) | const
| protected virtual

Gets the string representation for both directions.

Returns
  The direction string.

Reimplemented in StratosharkFollowStreamDialog.

## ◆ captureFileClosed()

void FollowStreamDialog::captureFileClosed | ( |  | ) |
| override protected virtual

Slot triggered when the underlying capture file is closed.

Reimplemented from WiresharkDialog.

## ◆ client_packet_count()

int FollowStreamDialog::client_packet_count | ( |  | ) | const
| inline protected

Gets the number of packets sent by the client.

Returns
  The client packet count.

## ◆ clientToServerString()

QString FollowStreamDialog::clientToServerString | ( |  | ) | const
| protected virtual

Gets the string representation for the client-to-server direction.

Returns
  The direction string.

Reimplemented in StratosharkFollowStreamDialog.

## ◆ endRetapPackets()

void FollowStreamDialog::endRetapPackets | ( |  | ) |
| override protected virtual

Called when retap is complete.

Reimplemented from WiresharkDialog.

## ◆ eventFilter()

bool FollowStreamDialog::eventFilter | ( | QObject * | obj,
|  | QEvent * | event )
| override protected

Filters events for the dialog text display.

Parameters

  obj | The object that generated the event.
  event | The event to filter.

Returns
  True if the event was handled, false otherwise.

## ◆ follow()

bool FollowStreamDialog::follow | ( | bool | use_stream_index = false,
|  | unsigned | stream_num = 0,
|  | unsigned | sub_stream_num = 0 )

Initiates the stream following process.

Parameters

  use_stream_index | True to follow using a specific stream index rather than the selected packet.
  stream_num | The specific stream number to follow (if use_stream_index is true).
  sub_stream_num | The specific sub-stream number (e.g., HTTP2 streams within a TCP connection).

Returns
  True if the stream was successfully followed, false otherwise.

## ◆ followInfo()

const follow_info_t & FollowStreamDialog::followInfo | ( |  | ) | const
| inline protected

Retrieves the core follow_info structure.

Returns
  A reference to the follow_info_t struct.

## ◆ goToPacket

void FollowStreamDialog::goToPacket | ( | int | packet_num | ) |
| signal

Signal emitted to navigate to a specific packet in the main window.

Parameters

  packet_num | The packet number to jump to.

## ◆ keyPressEvent()

void FollowStreamDialog::keyPressEvent | ( | QKeyEvent * | event | ) |
| override protected virtual

Handles key press events in the dialog.

Parameters

  event | The key event.

Reimplemented from WiresharkDialog.

## ◆ labelHint()

QString FollowStreamDialog::labelHint | ( | int | pkt = 0 | ) |
| protected virtual

Generates a hint label based on the current packet.

Parameters

  pkt | The packet number.

Returns
  The formatted hint string.

Reimplemented in StratosharkFollowStreamDialog.

## ◆ server_packet_count()

int FollowStreamDialog::server_packet_count | ( |  | ) | const
| inline protected

Gets the number of packets sent by the server.

Returns
  The server packet count.

## ◆ serverToClientString()

QString FollowStreamDialog::serverToClientString | ( |  | ) | const
| protected virtual

Gets the string representation for the server-to-client direction.

Returns
  The direction string.

Reimplemented in StratosharkFollowStreamDialog.

## ◆ turns()

int FollowStreamDialog::turns | ( |  | ) | const
| inline protected

Gets the number of direction changes (turns) in the stream.

Returns
  The number of turns.

## ◆ updateFilter

void FollowStreamDialog::updateFilter | ( | QString | filter,
|  | bool | force )
| signal

Signal emitted to update the main display filter.

Parameters

  filter | The new display filter.
  force | True to force the filter application.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/follow_stream_dialog.h
- /builds/wireshark/wireshark/ui/qt/follow_stream_dialog.cpp